<?php
function consultarCFOP($chaveAcesso) {
    $url = "https://nfce.sefaz.pe.gov.br/nfce-web/consultarNFCe?chNFe={$chaveAcesso}&tipoNFe=1";
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
   var_dump($resultado = curl_exec($ch));
    curl_close($ch);

    if (strpos($resultado, 'CFOP') !== false) {
        $inicio = strpos($resultado, 'CFOP:') + 5;
        $fim = strpos($resultado, '</td>', $inicio);
        $cfop = substr($resultado, $inicio, $fim - $inicio);
        return $cfop;
    } else {
        return false;
    }
}

$chave = consultarCFOP(26230412469289000171550010000068871001144973) ;

echo $chave;